<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Scene.html">Scene</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::Scene Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1Scene.html">gg::Scene</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a5b86f08f78943b33a2ec7b62810e697c">AddRootNode</a>(const std::string &amp;, SceneNode *)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a06d47727c4f086472155032d13dd5163">AddRootNodeDefaultName</a>(SceneNode *)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a4ef7462ab36f0d4aaaaf9f2733acd372">AddToggleButtonToToggleGroup</a>(const std::string &amp;, ToggleButton *)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a7435abe9524adbe082832bca365363a9">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) const override</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#aa4ba65551db00899127ceb25037b9ec0">GetLabelByID</a>(const std::string &amp;) -&gt; Label *</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a8ad6f3a9bb7a46b029471f8842225fc8">GetLabelByID</a>(SceneNode *, const std::string &amp;) -&gt; Label *</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a9361fe7d1ace461d528c2ce224b74668">GetName</a>() const -&gt; const std::string &amp;</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a93356886f16efe8a190583faf9555ebd">GetNode</a>(const std::string &amp;) -&gt; SceneNode *</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a395bd2fe23c27973ca6d62126ebe30c2">GetNode</a>(const std::string &amp;) const -&gt; const SceneNode *</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a>() const -&gt; size_t</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#aeac07bf6e4c2f3daa87d8549f10c7c37">GetPosition</a>() const -&gt; const sf::Vector2f</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#ab7a7ed13c125bed129417988730cdbfe">GetSize</a>() const -&gt; const sf::Vector2f</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a5850e4544304e6faea1677e418d3e7bc">GetToggleGroup</a>(const std::string &amp;) -&gt; ToggleGroup *</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#ae3f0b3f0334943918ac284e1971c86c9">GetToggleGroup</a>(const std::string &amp;) const -&gt; const ToggleGroup *</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#abcb1e788363581e54b580b9a5a9b28e1">IsActive</a>() -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">OnEvent</a>(IEvent *e) override</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a>(const IEventSubscriber &amp;) -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a09f1cc87ba6bc11a8b6beb5aeacf896b">RemoveNode</a>(const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a74f31565ab5a7597433b2870b10cabd4">RemoveNode</a>(SceneNode *)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a3722157abecbbebfb3f299735c7416cb">RemoveToggleGroup</a>(const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a505d136d0f9025a5f0da9d09230bcdae">Scene</a>(std::string, XMLDocument)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a44f4252d969c5cc52edb5cacf0faa71a">SetActive</a>(bool)</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a66b2770a4d2f38cba1fca7df7d1e06dc">Update</a>()</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Scene.html#a0a9b6261ce9df8f1770d3c12d8b9f233">~Scene</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Scene.html">gg::Scene</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
